@echo off
@echo ---------------------------------------------
@echo I                                           I
@echo I  This file should update your \SC\SRC     I
@echo I  sub directories to 6.11                  I
@echo I                                           I
@echo I  steps:                                   I
@echo I  cd to \SC                                I
@echo I  Type "srcupdat"                          I
@echo I                                           I
@echo ---------------------------------------------
pause

rem test if any of the compiler components is present.
rem if not, display error
if exist .\bin\sccx.exe goto STDChk
if exist .\bin\scppx.exe goto STDChk
if exist .\bin\sccd.dll goto STDChk
if not exist .\bin\scppd.dll goto error

:STDChk
rem check if STD version
if not exist .\src\NUL goto STDerror
goto DSIOpatch

:DSIOpatch
rem do the DSIO patching
if not exist .\src\dos386\io.asm goto CLpatch
srcpatch .\src\dos386 DSIO-611.rtp /nopathsearch /ignore

:CLpatch
rem do the CL patching
if not exist .\src\clib\atoi.asm goto WNpatch
srcpatch .\src\clib cl-611.rtp /nopathsearch /ignore

:WNpatch
rem do the WN patching
if not exist .\src\win32\flat\io.c goto :WNRest
srcpatch .\src\win32\flat wn-611.rtp /nopathsearch /ignore

:WNRest
rem do the RESTWN patching
if not exist .\src\win32\c.asm goto Cleanup
srcpatch .\src\win32 restwin.rtp /nopathsearch /ignore

:Cleanup
rem cleaning up
@echo -------------------------------------------------
@echo This will now delete files related to 
@echo this Library sources patch with the exception of 
@echo SRCUPDAT.TXT detailing the changes made for 
@echo Symantec C++ 6.11 
@echo .
@echo Press Ctrl+C to abort
@echo -------------------------------------------------
pause

rem files containing the patches
del DSIO-611.RTP
del CL-611.RTP
del WN-611.RTP
del RESTWIN.RTP

rem self-extracting archives
del src611.EXE

rem patch utility
del srcPATCH.EXE

rem readme-first files
del srcREAD.1ST

rem patch instructions
del src611.TXT

goto end

rem display error if STD version does not exist
:STDerror
@echo ---------------------------------------------------
@echo  You do not have the \SC\SRC subdirectory!
@echo  You probably have the STANDARD version installed!
@echo ---------------------------------------------------
goto end

rem display error
:error
@echo -------------------------------------
@echo  You are not in the right directory!
@echo  Change directory to the root of
@echo  your Symantec C++ installation, 
@echo  typically \SC
@echo -------------------------------------

:end
